<!DOCTYPE html>
<html lang="en">

<head>
    <title>Порфолио - Редактирование</title>
    <div th:replace="head"></div>
</head>

<body>

<div th:replace="topbar"></div>

<div th:if="${error != null}" th:text="${error}" class="alert alert-danger" role="alert">

</div>

<form method="POST">
    <textarea name="content" id="editor" th:text="${content}"></textarea>
    <button style="margin-bottom: 10px" type="submit" class="btn btn-primary btn-lg btn-block">Send</button>

</form>

<script>
    let ta = document.getElementById('editor');
    let cm = CodeMirror.fromTextArea(ta, {
        mode: "xml",
        htmlMode: true,
        lineNumbers: true,
        tabSize: 2,
        lineWrapping: true
    });
    cm.getDoc().getValue()

</script>

<div th:replace="footer"></div>
</body>

</html>